"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encodeNativePermitData = void 0;
const viem_1 = require("viem");
const abi_js_1 = require("../abi.js");
const encodeNativePermitData = (tokenAddress, amount, deadline, signature, transactionData) => {
    const { v, r, s } = (0, viem_1.parseSignature)(signature);
    const data = (0, viem_1.encodeFunctionData)({
        abi: abi_js_1.permit2ProxyAbi,
        functionName: 'callDiamondWithEIP2612Signature',
        args: [tokenAddress, amount, deadline, Number(v), r, s, transactionData],
    });
    return data;
};
exports.encodeNativePermitData = encodeNativePermitData;
//# sourceMappingURL=encodeNativePermitData.js.map