"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encodePermit2Data = void 0;
const viem_1 = require("viem");
const abi_js_1 = require("../abi.js");
const encodePermit2Data = (tokenAddress, amount, nonce, deadline, transactionData, signature, accountAddress, witness) => {
    if (witness && accountAddress) {
        const data = (0, viem_1.encodeFunctionData)({
            abi: abi_js_1.permit2ProxyAbi,
            functionName: 'callDiamondWithPermit2Witness',
            args: [
                transactionData,
                accountAddress,
                [[tokenAddress, amount], nonce, deadline],
                signature,
            ],
        });
        return data;
    }
    const data = (0, viem_1.encodeFunctionData)({
        abi: abi_js_1.permit2ProxyAbi,
        functionName: 'callDiamondWithPermit2',
        args: [
            transactionData,
            [[tokenAddress, amount], nonce, deadline],
            signature,
        ],
    });
    return data;
};
exports.encodePermit2Data = encodePermit2Data;
//# sourceMappingURL=encodePermit2Data.js.map