"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPermitTransferFromValues = void 0;
const actions_1 = require("viem/actions");
const abi_js_1 = require("../abi.js");
const getPermitTransferFromValues = async (client, chain, tokenAddress, amount) => {
    const nonce = await (0, actions_1.readContract)(client, {
        address: chain.permit2Proxy,
        abi: abi_js_1.permit2ProxyAbi,
        functionName: 'nextNonce',
        args: [client.account.address],
    });
    return {
        permitted: {
            token: tokenAddress,
            amount: amount,
        },
        spender: chain.permit2Proxy,
        nonce: nonce,
        deadline: BigInt(Math.floor(Date.now() / 1000) + 30 * 60),
    };
};
exports.getPermitTransferFromValues = getPermitTransferFromValues;
//# sourceMappingURL=getPermitTransferFromValues.js.map