"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareRestart = void 0;
const prepareRestart = async (route) => {
    for (let index = 0; index < route.steps.length; index++) {
        const step = route.steps[index];
        if (step.execution) {
            const lastValidIndex = step.execution.process.findLastIndex((process) => !!process.txHash && process.status !== 'FAILED');
            if (lastValidIndex >= 0) {
                step.execution.process = step.execution.process.slice(0, lastValidIndex + 1);
            }
            else {
                step.execution.process = [];
            }
        }
        step.transactionRequest = undefined;
    }
};
exports.prepareRestart = prepareRestart;
//# sourceMappingURL=prepareRestart.js.map