"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SDKError = void 0;
const version_js_1 = require("../version.js");
class SDKError extends Error {
    step;
    process;
    code;
    name = 'SDKError';
    cause;
    constructor(cause, step, process) {
        const errorMessage = `${cause.message ? `[${cause.name}] ${cause.message}` : 'Unknown error occurred'}\nLI.FI SDK version: ${version_js_1.version}`;
        super(errorMessage);
        this.name = 'SDKError';
        this.step = step;
        this.process = process;
        this.cause = cause;
        this.stack = this.cause.stack;
        this.code = cause.code;
    }
}
exports.SDKError = SDKError;
//# sourceMappingURL=SDKError.js.map