"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseError = void 0;
const rootCause_js_1 = require("./utils/rootCause.js");
class BaseError extends Error {
    code;
    cause;
    constructor(name, code, message, cause) {
        super(message);
        this.name = name;
        this.code = code;
        this.cause = cause;
        const rootCause = (0, rootCause_js_1.getRootCause)(this.cause);
        if (rootCause?.stack) {
            this.stack = rootCause.stack;
        }
    }
}
exports.BaseError = BaseError;
//# sourceMappingURL=baseError.js.map