"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkPackageUpdates = void 0;
const version_js_1 = require("../version.js");
const checkPackageUpdates = async (packageName, packageVersion) => {
    try {
        const pkgName = packageName ?? version_js_1.name;
        const response = await fetch(`https://registry.npmjs.org/${pkgName}/latest`);
        const reponseBody = await response.json();
        const latestVersion = reponseBody.version;
        const currentVersion = packageVersion ?? version_js_1.version;
        if (latestVersion > currentVersion) {
            console.warn(`${pkgName}: new package version is available. Please update as soon as possible to enjoy the newest features. Current version: ${currentVersion}. Latest version: ${latestVersion}.`);
        }
    }
    catch (_error) {
    }
};
exports.checkPackageUpdates = checkPackageUpdates;
//# sourceMappingURL=checkPackageUpdates.js.map