import type { ExtendedChain } from '@lifi/types';
import type { Client, Hash } from 'viem';
import { BaseStepExecutor } from '../BaseStepExecutor.js';
import type { LiFiStepExtended, Process, StepExecutorOptions } from '../types.js';
import type { TransactionMethodType } from './types.js';
export interface EVMStepExecutorOptions extends StepExecutorOptions {
    client: Client;
}
export declare class EVMStepExecutor extends BaseStepExecutor {
    private client;
    constructor(options: EVMStepExecutorOptions);
    checkClient: (step: LiFiStepExtended, process?: Process) => Promise<Client | undefined>;
    waitForTransaction: ({ step, process, fromChain, toChain, txType, txHash, isBridgeExecution, }: {
        step: LiFiStepExtended;
        process: Process;
        fromChain: ExtendedChain;
        toChain: ExtendedChain;
        txType: TransactionMethodType;
        txHash: Hash;
        isBridgeExecution: boolean;
    }) => Promise<void>;
    executeStep: (step: LiFiStepExtended) => Promise<LiFiStepExtended>;
}
//# sourceMappingURL=EVMStepExecutor.d.ts.map